// pages/businessPartner/applyFor.js
Page({

    /**
     * 页面的初始数据
     */
    data: {
        showBtn: -1,//选中下标
        pattern: false,//显示方式选择
        dropDownList:false,//显示下拉菜单
        methodsList:['上游','下游','双向合作']
    },

    /**
     * 生命周期函数--监听页面加载
     */
    onLoad: function (options) {

    },

    /**
     * 生命周期函数--监听页面初次渲染完成
     */
    onReady: function () {

    },
    /* 选择 */
    showBtnIndex(e) {
        const {
            index
        } = e.currentTarget.dataset;
        if(index==this.data.showBtn) return;
        this.setData({
            pattern: false,
            showBtn: index,
        })
    },
    /* 选择合作方式 */
    chooseCooperationMode(){
        this.setData({
            dropDownList:true
        })
    },
    hiddenDropDown(){
        this.setData({
            dropDownList:false
        })
    },
    /* 同意 */
    ratify(e) {
        this.setData({
            pattern: true
        })
    },

    /**
     * 生命周期函数--监听页面显示
     */
    onShow: function () {

    },

    /**
     * 生命周期函数--监听页面隐藏
     */
    onHide: function () {

    },

    /**
     * 生命周期函数--监听页面卸载
     */
    onUnload: function () {

    },

    /**
     * 页面相关事件处理函数--监听用户下拉动作
     */
    onPullDownRefresh: function () {

    },

    /**
     * 页面上拉触底事件的处理函数
     */
    onReachBottom: function () {

    },

    /**
     * 用户点击右上角分享
     */
    onShareAppMessage: function () {

    }
})